import requests
import json

location = "<your_location_id>"             # enter your location id
authtoken = "<your_authorization_token>"     # enter your auth token

outfile = 'maps.json'                    # the file that is saved

meridian_url = "https://edit.meridianapps.com/api/locations/"
locations_api = meridian_url + str(location)
maps_api = locations_api + "/maps"
maps_info = []

payload = ""
headers = {
    'Content-Type': "application/x-www-form-urlencoded",
    'Authorization': "Token" + str(authtoken),
    'cache-control': "no-cache"
    }

location_info = requests.get(locations_api, headers=headers)
loc_parsed = location_info.json()
print("Location Name:", loc_parsed['name'])
print("Getting info about the maps at this location...  This may take some time...")
print()


def get_maps():
    # map_request = requests.get(locations_api + "/maps", headers=headers)
    global maps_api
    maps_request = requests.get(maps_api, headers=headers)
    maps_parsed = maps_request.json()
    maps_info.extend(maps_parsed['results'])
    if str(maps_parsed['next']) != 'None':
        # print("Next Page", jparse['next'])
        maps_api = maps_parsed['next']
        get_maps()
    else:
        write_maps_file()


def write_maps_file():
    # write beacons info to the beacons.json file
    with open(outfile, 'w') as f:
        json.dump(maps_info, f)
    print("Writing the data to",f.name)
    f.close()
    print("File written and closed!")
    # bring the contents of beacons.json back to beaconlist
    with open(outfile, 'r') as r:
        maplist = json.load(r)
    r.close()
    print("Beacons in the file:",len(maplist))
    print("We're done here!")
    exit()


get_maps()


# for maps in maps_info:
#     print(maps['name'])
